import {
  ADDRESS_LINE_1_KEY,
  ADDRESS_LINE_2_KEY,
  TOWN_OR_CITY_KEY,
  POSTCODE_KEY,
} from "@nhsbsa/health-charge-exemption-common-frontend/dist/src/constant-field-keys";

const ADDRESS_KEYS = [
  ADDRESS_LINE_1_KEY,
  ADDRESS_LINE_2_KEY,
  TOWN_OR_CITY_KEY,
  POSTCODE_KEY,
];

const OS_PLACES_ADDRESS_KEYS = [
  "ADDRESS",
  "ORGANISATION_NAME",
  "SUB_BUILDING_NAME",
  "BUILDING_NAME",
  "BUILDING_NUMBER",
  "DEPENDENT_THOROUGHFARE_NAME",
  "THOROUGHFARE_NAME",
  "DOUBLE_DEPENDENT_LOCALITY",
  "DEPENDENT_LOCALITY",
  "POST_TOWN",
  "POSTCODE",
  "LOCAL_CUSTODIAN_CODE_DESCRIPTION",
  "UDPRN",
];

export { OS_PLACES_ADDRESS_KEYS, ADDRESS_KEYS };
